#!/usr/bin/env python
#
# PyAffix - aff_demo_client.py
#
# Affix Client Example on Python
# by Carlos Chinea 
#(c) Nokia Research Center 2003
#

from affixsocket import *
from random import randrange


# Create the sever socket
aff_sock=socket(PF_AFFIX,SOCK_STREAM,BTPROTO_L2CAP)

#Developer: Check for errors in the creation of the server socket.

#Server in device 0 and port 1

devnum = 0
port = 1
#bt_addr="00:e0:03:7b:1d:68"
bt_addr="00:a0:96:1f:ce:a7"

num_packets = randrange(1,20)
size_packet = randrange(128*8,128*32)

data = "X"*size_packet

print "Try to send %i  packets with a size of %i bytes" % (num_packets, size_packet)

aff_sock.connect((devnum,bt_addr,port))

for i in range(num_packets):
	aff_sock.send(data)
	print "Data Sent (packet %i): %s \n" % (i, data)
	recv_data=aff_sock.recv(1024)
	print "Data Received: %s \n" % recv_data
	
aff_sock.close()

