#!/usr/bin/env python
#
# PyAffix - aff_demo_server.py
#
# Affix Server Example on Python
# by Carlos Chinea 
#(c) Nokia Research Center 2003
#

from affixsocket import *

def server():
	# Create the sever socket
	aff_sock=socket(PF_AFFIX,SOCK_STREAM,BTPROTO_L2CAP)

	#Developer: Check for errors in the creation of the server socket.

	#Server in device 0 and port 1

	err = aff_sock.bind((0,"00:00:00:00:00:00",<F2>))
	err = aff_sock.listen(5)

	connection,address = aff_sock.accept()
	print "Server connected by",address

	data = connection.recv(1024)
	print "Data received:", data

	while data:
		connection.send('Echo =>' + data)
		data = connection.recv(1024)
		print "Data received:",data

	connection.close()
	aff_sock.close()

server()

